# Kleines Skript zum prüfen, ob lokal zusätzliche
# Ausfühen mit: source ./edit_lkr_text_analyse.sh

# Im HBZ verwendete Link-Identifier (Spalte 2):
egrep -v '^!|^$' edit_lkr_text.rda | cut -c4-33 | sort -u > edit_lkr_text_hbz

# Lokal verwendete Link-Identifier (Spalte 2):
egrep -v '^!|^$' $data_tab/edit_lkr_text | cut -c4-33 | sort -u > edit_lkr_text_lokal
echo
echo Zusaetzliche lokal definierte Link-Identifier in Spalte 2:
diff edit_lkr_text_hbz edit_lkr_text_lokal | grep '^>' | cut -c3-
# Loesche die temporaeren Dateien der Analyse:
rm edit_lkr_text_hbz edit_lkr_text_lokal
echo
echo Sofern welche existieren, diese Eintraege aus ihrer Konfiguration in der vom HBZ 
echo gelieferten Version edit_lkr_text.rda bzw. edit_lkr_text.rda.hbz ergaenzen. 
echo
echo Bitte in lokaler edit_lkr_text pruefen, ob Hashes in Spalte 3 Pos. 5 vorhanden sind.
echo Ist dies der Fall, bitte edit_lkr_text.rda verwenden, ansonsten edit_lkr_text.rda.hbz
echo
echo Bei UB Trier z.B. wegen TRI13: update_z103_mab_850 und update_z103_mab_860 
echo
